Skip to main content
GET
Get normal order book (derivative)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

Custody account number.

pageNo
number<double>
required

Page number.

pageSize
number<double>
required

Page size.

symbol
string
required

Filter: ALL,ALL = all; VN30F2303,B = by symbol; ALL,B = by L/S.

orderType
enum<string>
required

Filter order type: '' = all, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = Normal. Bộ lọc loại lệnh thường phái sinh: chuỗi rỗng = tất cả, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = lệnh thường.

Available options:
,
3,
4,
5,
6
status
enum<string>
required

0 = all, 1 = waiting, 2 = matched. Bộ lọc trạng thái lệnh phái sinh: 0 = tất cả, 1 = chờ khớp/chờ kích hoạt, 2 = đã khớp/đã kích hoạt, 3 = từ chối.

Available options:
0,
1,
2,
3
refId
string

Order ref ID.

Response

200 - application/json

Successful response

rc
string

Result code, 1 = success.

data
object[]

List of normal orders.

data[].orderNo
string

Order number.

data[].pk_orderNo
string

Order key.

data[].side
string

B = Long, S = Short.

data[].symbol
string

Contract code.

data[].volume
number<double>

Order volume.

data[].showPrice
string

Order price.

data[].matchVolume
number<double>

Matched volume.

data[].status
string

Order status.

data[].isCancel
string

0 = cannot cancel, 1 = can cancel.

data[].isAmend
string

0 = cannot amend, 1 = can amend.